﻿Type=Class
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
Sub Class_Globals
	Private nativeMe As JavaObject
End Sub
'Initializes the object.
Public Sub Initialize
	nativeMe = Me
End Sub

'Get a List of all sensors available on the device
'Example:
'Dim su as SensorUtilities
'su.Initialize
'Dim sensorList As List 
'sensorlist = su.listDeviceSensors
'
Public Sub listDeviceSensors() As String
    Dim sensorList As String
	sensorList = nativeMe.RunMethod("listDeviceSensors", Array (Null))
	Return sensorList
End Sub


#If Java

import java.util.List;
import android.content.Context;
import android.app.Activity;
import android.hardware.Sensor;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.view.Menu;
import android.widget.TextView;
//import java.lang.StringBuilder;

private SensorManager sMgr;    
  
   public String listDeviceSensors(final BA ba) {
      sMgr = (SensorManager)ba.applicationContext.getSystemService(Context.SENSOR_SERVICE);
      List<Sensor> list = sMgr.getSensorList(Sensor.TYPE_ALL);

      StringBuilder data = new StringBuilder();
      for(Sensor sensor: list){
         data.append(sensor.getName() + "\n");
         data.append(sensor.getVendor() + "\n");
         data.append(sensor.getVersion() + "\n");

   }
   return data.toString();
}

#End If